<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"] ?: array()) + array("_df945ac2fbdd1576202fb48096eb" . "43f9" => base64_decode("YWRtaW4ucGFuZWxzX2" . "xpc3Q="), "_c61345ccedc39c" . "1977427766275e2" . "da6" => base64_decode("aW1hZ2" . "VfZ2Fs" . "bGVyeQ" . "=="), "_61a5ceb347019e3711" . "6d4d2907163b82" => base64_decode("bWF0Y2hfY" . "Wxs"), "pe" . "rm" . "s" => base64_decode("cGV" . "ybX" . "M="));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchGallery implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\GalleryIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_df945ac2fbdd1576202fb48096" . "eb43f9"]}->GetOne($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_c61345ccedc39" . "c1977427766275" . "e2da6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["per" . "ms"]);
        } else {
            return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_61a5ceb" . "347019e3" . "7116d4d2" . "907163b8" . "2"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\GalleryView();
    }
}